DECLARE
    TEST NUMBER(1);
BEGIN
    SELECT 1 INTO TEST FROM USER_CONSTRAINTS where CONSTRAINT_NAME = 'FK_MAPPING_SET_DATASET' and TABLE_NAME='MAPPING_SET';
EXCEPTION
    WHEN no_data_found THEN
        execute immediate 'ALTER TABLE MAPPING_SET ADD CONSTRAINT FK_MAPPING_SET_DATASET
	  FOREIGN KEY (DS_ID) REFERENCES DATASET (DS_ID)';
END;
/
;
